// ProgDlg.cpp : implementation file
//

#include "stdafx.h"
#include "nedimage.h"
#include "ProgDlg.h"
#include "TestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgDlg dialog


CProgDlg::CProgDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CProgDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProgDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CProgDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgDlg)
	DDX_Control(pDX, IDC_PROGRESS1, m_Progress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProgDlg, CDialog)
	//{{AFX_MSG_MAP(CProgDlg)
	ON_WM_SHOWWINDOW()
	ON_MESSAGE(ID_DL_PROGRESS, OnProgress)
	ON_MESSAGE(ID_DL_DONE, OnDone)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgDlg message handlers

void CProgDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	m_Progress.SetRange(0, 100);
	m_pOwner->m_ImageCtl.SetURLPicture(m_csURL);
}


LONG CProgDlg::OnProgress(UINT nProgress, LONG lUnused)
{
	m_Progress.SetPos(short(nProgress));

	//We have to do this because sometimes Windows 95
	//URL Monikers don't always give us a complete notification
	//when we are done
	if (100 == nProgress)
		OnOK();
	return 1;
}

LONG CProgDlg::OnDone(UINT bSuccess, LONG lUnused)
{
	if (BOOL(bSuccess))
	{
		OnOK();
	}
	else
	{
		CDialog::OnCancel();
	}

	return 1;
}

void CProgDlg::OnCancel() 
{
	//Let the owner know we are trying to cancel
	m_pOwner->m_bInCancel = TRUE;

	CDialog::OnCancel();
}
