// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC OLE automation classes
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows 95 Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

//The way our image fits in it's window
enum FITTYPE
{
	BESTFIT,
	HORZFIT,
	VERTFIT,
	ONETOONE
};

//Error codes returned from CNEDImage::GetLastError()
//Use these error codes to report the status of the image
//control
#define NED_32IMAGE_E_NOERROR			0	
#define	NED_32IMAGE_E_OUTOFMEMORY		1	
#define NED_32IMAGE_E_NOIMAGE			2	
#define NED_32IMAGE_E_BADIMAGE			3
#define NED_32IMAGE_E_BADIMAGETYPE		4	
#define NED_32IMAGE_E_REDUCTIONFAILED	5	
#define NED_32IMAGE_E_FILENOTFOUND		6	
#define NED_32IMAGE_E_OUTOFVAS			7	
#define NED_32IMAGE_E_FILEMAPPING		8	

//Include some header files
#include "resource.h"


//Some internal windows messages
#define ID_DL_PROGRESS	WM_USER + 1
#define ID_DL_DONE		ID_DL_PROGRESS + 1

//Some error Codes to report the status of image downloads
#define INET_E_INVALID_URL               -2146697214
#define INET_E_NO_SESSION                -2146697213
#define INET_E_CANNOT_CONNECT            -2146697212
#define INET_E_RESOURCE_NOT_FOUND        -2146697211      
#define INET_E_OBJECT_NOT_FOUND          -2146697210
#define INET_E_DATA_NOT_AVAILABLE        -2146697209
#define INET_E_DOWNLOAD_FAILURE          -2146697208
#define INET_E_AUTHENTICATION_REQUIRED   -2146697207
#define INET_E_NO_VALID_MEDIA            -2146697206
#define INET_E_CONNECTION_TIMEOUT        -2146697205
#define INET_E_INVALID_REQUEST           -2146697204
#define INET_E_UNKNOWN_PROTOCOL          -2146697203
#define INET_E_SECURITY_PROBLEM          -2146697202
#define INET_E_CANNOT_LOAD_DATA          -2146697201
#define INET_E_CANNOT_INSTANTIATE_OBJECT -2146697200
